<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- jj.TODO: skeleton-replace-text -->
    <title>jj-vue-2-skeleton</title>

    <!-- jj.TODO: skeleton-replace-text -->
    <meta name="description" content="Description of the page less than 150 characters">

    <!-- jj.TODO: put favicon PNGs + ICO into /static/images/icons -->
    <!-- jj.TODO: generate with https://realfavicongenerator.net -->
    <!-- jj.TODO: use checker tool at the same site -->
    <link rel="icon" type="image/png" sizes="32x32" href="<%= htmlWebpackPlugin.files.publicPath %>static/images/icons/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="<%= htmlWebpackPlugin.files.publicPath %>static/images/icons/favicon-16x16.png">
    <!--[if IE]><link rel="shortcut icon" href="/static/images/icons/favicon.ico"><![endif]-->

    <!-- jj.TODO: edit static/manifest.json -->
    <!-- Add to home screen for Android and modern mobile browsers -->
    <link rel="manifest" href="<%= htmlWebpackPlugin.files.publicPath %>static/manifest.json">
    <meta name="theme-color" content="#4DBA87">

    <!-- jj.TODO: edit content title -->
    <!-- jj.TODO: add apple-touch-icon to static/images/icons/ -->
    <!-- Add to home screen for Safari on iOS -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="jj-vue-2-skeleton">
    <link rel="apple-touch-icon" href="<%= htmlWebpackPlugin.files.publicPath %>static/images/icons/apple-touch-icon-152x152.png">

    <!-- jj.TODO: add MS icon -->
    <!-- Add to home screen for Windows -->
    <meta name="msapplication-TileImage" content="<%= htmlWebpackPlugin.files.publicPath %>static/images/icons/msapplication-icon-144x144.png">
    <meta name="msapplication-TileColor" content="#000000">
    <% for (var chunk of webpack.chunks) {
        for (var file of chunk.files) {
          if (file.match(/\.(js|css)$/)) { %>
    <link rel="<%= chunk.initial?'preload':'prefetch' %>" href="<%= htmlWebpackPlugin.files.publicPath + file %>" as="<%= file.match(/\.css$/)?'style':'script' %>"><% }}} %>
  </head>
  <body>
    <!-- jj.TODO: skeleton-replace-text -->
    <noscript>
      This is your fallback content in case JavaScript fails to load.
    </noscript>

    <div id="app"></div>

    <!-- Todo: only include in production -->
    <%= htmlWebpackPlugin.options.serviceWorkerLoader %>

    <!-- built files will be auto injected here -->
  </body>
</html>
